Skip to main content
GET
/
api
/
setup-scripts
/
{id}
Get a setup script by ID.
curl --request GET \
  --url https://api.rigbox.dev/api/setup-scripts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "content": "<string>",
  "created_at": "<string>",
  "id": "<string>",
  "name": "<string>",
  "run_on": "<string>",
  "script_order": 123,
  "source": "<string>",
  "updated_at": "<string>",
  "user_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Script ID

Response

200 - application/json

Setup script details

content
string
required
created_at
string
required
id
string
required
name
string
required
run_on
string
required
script_order
integer<int32>
required
source
string
required
updated_at
string
required
user_id
string
required